- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CompositeImage

# NAME

composite - Methods to Composite an Image

# SYNOPSIS

unsigned int CompositeImage( Image *image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

# FUNCTION DESCRIPTIONS

## CompositeImage

> CompositeImage() returns the second image composited onto the first at the specified offsets.

The format of the CompositeImage method is:

> unsigned int CompositeImage ( Image *image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

A description of each parameter follows:

o image:
  The image.

o compose:
  This operator affects how the composite is applied to the image. The default is Over. Choose from these operators:

          OverCompositeOp       InCompositeOp         OutCompositeOP
          AtopCompositeOP       XorCompositeOP        PlusCompositeOP
          MinusCompositeOP      AddCompositeOP        SubtractCompositeOP
          DifferenceCompositeOP BumpmapCompositeOP    CopyCompositeOP
          DisplaceCompositeOP
    =over 4

o composite_image:
  The composite image.

o x_offset:
  The column offset of the composited image.

o y_offset:
  The row offset of the composited image.